require 'sketchup.rb'
require 'extensions.rb'

Sketchup.require(File.join(File.dirname(__FILE__), 'DM_BoolTools/DMLanguageHandler'))

module DM
  module BoolTools

    VERSION = "2.1.9"
    PLUGIN_NAME = "布尔工具 2"
    LH = DMLanguageHandler.new("")

    if Sketchup.version.to_i >= 17
      btExtension = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__),"DM_BoolTools","bt_load")))
      btExtension.description = ("布尔工具可对实体群组或组件进行布尔运算，插件适用于 SketchUp Make 或 Pro 版")
      btExtension.version = VERSION
      btExtension.creator = "mind.sight.studios"
      btExtension.copyright = "2024, MindSight Studios Inc. All rights reserved."
      Sketchup.register_extension(btExtension, true)
     else
       UI.messagebox("想要使用布尔工具，你需要安装SketchUp 2017或更高版本。")
     end

  end
end